### Method

# Camel Sasl get_authenticated

#### Declaration [src]

    gboolean
    camel_sasl_get_authenticated (
      CamelSasl* sasl
    )

#### Description

No description available.

Gets property | `Camel.Sasl:authenticated`

#### Return value

Type: `gboolean`

Whether or not `sasl` has successfully authenticated the user. This will be `TRUE` after it returns the last needed response. The caller must still pass that information on to the server and verify that it has accepted it.